Name:           oraculum
# Don't forget to also change oraculum/__init__.py
Version:        0.2.2
Release:        1%{?dist}
Summary:        Backend and API for Fedora QA Dashboard

License:        GPLv2+
URL:            https://pagure.io/fedora-qa/oraculum
Source0:        https://releases.pagure.org/fedora-qa/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  systemd-rpm-macros
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Test dependencies that are not part of install_requires
BuildRequires:  python3-pytest
BuildRequires:  python3-mock

Requires:       python3-gunicorn
Requires:       nginx
Requires:       redis

%description
Backend and API for Fedora QA Dashboard

%generate_buildrequires
%pyproject_buildrequires -r

%prep
%setup -q

%build
%py3_build

%install
%py3_install

# Install example configuration to /etc, fix client_secrets.json location
install -d -m 755 %{buildroot}%{_sysconfdir}/oraculum
install -p -m 644 conf/settings.py.example %{buildroot}%{_sysconfdir}/oraculum/settings.py
install -p -m 644 conf/client_secrets.json.example %{buildroot}%{_sysconfdir}/oraculum/client_secrets.json
sed -i 's,./conf/client_secrets.json.example,%{_sysconfdir}/oraculum/client_secrets.json,' %{buildroot}%{_sysconfdir}/oraculum/settings.py

# Install nginx configuration to /etc
install -d -m 755 %{buildroot}%{_sysconfdir}/nginx/conf.d/
install -p -m 644 conf/oraculum.conf.nginx %{buildroot}%{_sysconfdir}/nginx/conf.d/oraculum.conf


%post
%systemd_post oraculum.service
%systemd_post oraculum_worker.service
%systemd_post oraculum_beat.service

%preun
%systemd_preun oraculum.service
%systemd_preun oraculum_worker.service
%systemd_preun oraculum_beat.service

%postun
%systemd_postun_with_restart oraculum.service
%systemd_postun_with_restart oraculum_worker.service
%systemd_postun_with_restart oraculum_beat.service

%check
TEST=true %pytest

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/oraculum/
%{python3_sitelib}/*.egg-info/

%{_unitdir}/oraculum.service
%{_unitdir}/oraculum_worker.service
%{_unitdir}/oraculum_beat.service

%{_bindir}/oraculum
%dir %{_sysconfdir}/oraculum
%dir %{_datadir}/oraculum
%{_datadir}/oraculum/*

%doc %{_datadir}/docs/oraculum/

%config(noreplace) %{_sysconfdir}/oraculum/settings.py
%config(noreplace) %{_sysconfdir}/oraculum/client_secrets.json
%config(noreplace) %{_sysconfdir}/nginx/conf.d/oraculum.conf

%changelog
* Wed Nov 04 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.2.2-1
- Release 0.2.2

* Tue Oct 27 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.2.1-1
- Release 0.2.1

* Tue Oct 27 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.2.0-1
- Release 0.2.0

* Mon Jul 27 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.1.0-1
- Release 0.1.0

* Mon Feb 10 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.0.3-1
- Release 0.0.3

* Fri Feb 15 2019 Lukas Brabec <lbrabec@redhat.com> - 0.0.2-1
- Bump to 0.0.2

* Wed Feb 13 2019 Lukas Brabec <lbrabec@redhat.com> - 0.0.1-3
- Better summary and description

* Thu Feb 07 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.0.1-2
- Improved packaging

* Thu Feb 06 2014 Josef Skladanka <jskladan@redhat.com> - 0.0.1-1
- initial packaging
